% Sistema tempo-continuo
sys_c = 1e3*tf([1 10],conv([1 100],[1 150]));

% Realizzazioni tempo-discreto 
sys_d1 = c2d(sys_c,.05);    % T = 0.05s
sys_d2 = c2d(sys_c,.02);    % T = 0.02s
sys_d3 = c2d(sys_c,.01);    % T = 0.01s

% Diagrammi di Bode
bode(sys_c,'b',sys_d1,'-or',sys_d2,'-^g',sys_d3,'-vc')
legend({'Sistema continuo','T = 0.05s','T = 0.02s','T = 0.01s'})
